<ng-template #poiListTemplate>
  <lib-poi-list-container
    [title]="feedItem.title"
    [distance]="feedItem.distance"
  ></lib-poi-list-container>
</ng-template>

<ng-container *ngIf="poiWithDistanceId; else elseBlock">
  <a
    (click)="selectPoi()"
    (keydown.enter)="selectPoi()"
    tabindex="0"
    [attr.aria-labelledby]="feedItem.id + '-title'"
    [attr.aria-describedby]="feedItem.id + '-description'"
    lang="de"
    translate="yes"
  >
    <ng-container *ngTemplateOutlet="poiListTemplate"></ng-container>
  </a>
</ng-container>

<ng-template #elseBlock>
  <a
    [routerLink]="routerLink ?? ['./map', feedItem.id]"
    [href]="routerLink ?? './map' + feedItem.id"
    tabindex="0"
    [attr.aria-labelledby]="feedItem.id + '-title'"
    [attr.aria-describedby]="feedItem.id + '-description'"
    lang="de"
    translate="yes"
  >
    <ng-container *ngTemplateOutlet="poiListTemplate"></ng-container>
  </a>
</ng-template>
